package com.duben.microtribe.mvp.model;

import java.io.Serializable;
import java.util.ArrayList;

public class VedioBean implements Serializable {

    private String thirdId;//穿山甲id
    private int createType;//类型，1，自有剧，2 穿山甲，3 推荐短剧，4 九宫格
    private String title;
    private String type;

    private String tabImage;
    private String topTabsReamrk;
    private ArrayList<String> orderTags;//标签
    private int vedioTotal;//同穿山甲 total
    private int unlockIndex;//解锁剧集
    private int seeIndex;//看到哪一集了
    private int freeIndex;//免费剧
    private int collect;//0未收藏，1收藏
    private String vedioDesc;
    private String coverImage;
    private int completeStatus;//完结状态 同穿山接status 0-完结
    private String scriptName;
    private String scriptAuthor;
    private int vedioId;// 视频id，服务器标识
    private String hot;// 收藏量
    private String showNum;// 播放量
    private int adGiveVedioNum;// 广告解锁数量
    private String recommendUrl;// 推荐视频地址
    private int recommendIndex;// 推荐视频第几集
    private long seeUpdateTime;// 时间戳
    private boolean checked;// 选中
    private boolean isRecommendVedio;// 是否推荐剧
    private int tipMaxIndex;// 倒计时弹框

    public String getShowNum() {
        return showNum;
    }

    public void setShowNum(String showNum) {
        this.showNum = showNum;
    }

    public int getTipMaxIndex() {
        return tipMaxIndex;
    }

    public void setTipMaxIndex(int tipMaxIndex) {
        this.tipMaxIndex = tipMaxIndex;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public long getSeeUpdateTime() {
        return seeUpdateTime;
    }

    public void setSeeUpdateTime(long seeUpdateTime) {
        this.seeUpdateTime = seeUpdateTime;
    }

    public String getRecommendUrl() {
        return recommendUrl;
    }

    public void setRecommendUrl(String recommendUrl) {
        this.recommendUrl = recommendUrl;
    }

    public int getRecommendIndex() {
        return recommendIndex;
    }

    public void setRecommendIndex(int recommendIndex) {
        this.recommendIndex = recommendIndex;
    }

    public int getAdGiveVedioNum() {
        return adGiveVedioNum;
    }

    public void setAdGiveVedioNum(int adGiveVedioNum) {
        this.adGiveVedioNum = adGiveVedioNum;
    }

    public void setHot(String hot) {
        this.hot = hot;
    }

    public String getThirdId() {
        return thirdId;
    }

    public void setThirdId(String thirdId) {
        this.thirdId = thirdId;
    }

    public int getCreateType() {
        return createType;
    }

    public void setCreateType(int createType) {
        this.createType = createType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTopTabsReamrk() {
        return topTabsReamrk;
    }

    public void setTopTabsReamrk(String topTabsReamrk) {
        this.topTabsReamrk = topTabsReamrk;
    }

    public ArrayList<String> getOrderTags() {
        return orderTags;
    }

    public void setOrderTags(ArrayList<String> orderTags) {
        this.orderTags = orderTags;
    }

    public int getVedioTotal() {
        return vedioTotal;
    }

    public void setVedioTotal(int vedioTotal) {
        this.vedioTotal = vedioTotal;
    }

    public String getVedioDesc() {
        return vedioDesc;
    }

    public void setVedioDesc(String vedioDesc) {
        this.vedioDesc = vedioDesc;
    }

    public String getCoverImage() {
        return coverImage;
    }

    public void setCoverImage(String coverImage) {
        this.coverImage = coverImage;
    }

    public int getCompleteStatus() {
        return completeStatus;
    }

    public void setCompleteStatus(int completeStatus) {
        this.completeStatus = completeStatus;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getScriptAuthor() {
        return scriptAuthor;
    }

    public void setScriptAuthor(String scriptAuthor) {
        this.scriptAuthor = scriptAuthor;
    }

    public int getVedioId() {
        return vedioId;
    }

    public void setVedioId(int vedioId) {
        this.vedioId = vedioId;
    }

    public int getUnlockIndex() {
        return unlockIndex;
    }

    public void setUnlockIndex(int unlockIndex) {
        this.unlockIndex = unlockIndex;
    }

    public int getSeeIndex() {
        return seeIndex;
    }

    public void setSeeIndex(int seeIndex) {
        this.seeIndex = seeIndex;
    }

    public int getCollect() {
        return collect;
    }

    public void setCollect(int collect) {
        this.collect = collect;
    }

    public String getHot() {
        return hot;
    }

    public void String(String hot) {
        this.hot = hot;
    }

    public String getTypeImg() {
        return tabImage;
    }

    public void setTypeImg(String tabImage) {
        this.tabImage = tabImage;
    }

    public String getTabImage() {
        return tabImage;
    }

    public void setTabImage(String tabImage) {
        this.tabImage = tabImage;
    }

    public int getFreeIndex() {
        return freeIndex;
    }

    public void setFreeIndex(int freeIndex) {
        this.freeIndex = freeIndex;
    }

    public boolean isRecommendVedio() {
        return isRecommendVedio;
    }

    public void setRecommendVedio(boolean recommendVedio) {
        isRecommendVedio = recommendVedio;
    }
}
